### Constructor

# EDataBook SystemLocaleWatcher new

since: 3.30

#### Declaration [src]

    ESystemLocaleWatcher*
    e_system_locale_watcher_new (
      void
    )

#### Description [src]

Creates a new `ESystemLocaleWatcher` instance, which listens for D-Bus notification on locale changes. It uses system bus, unless an environment variable “EDS_TESTING” is defined, in which case it uses the session bus instead.

Available since: 3.30

#### Return value

Type: `ESystemLocaleWatcher`

A new `ESystemLocaleWatcher`.

The caller of the function takes ownership of the data, and is responsible for freeing it.